Bug 64652 - Registration, Entitlement, and Initial Update Should Be Done In One Step
Registration, Entitlement, and Initial Update Should Be Done In One Step
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-05-09 00:10 EDT by Bob Cochran
Modified: 2007-10-23 22:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-15 02:50:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob Cochran 2002-05-09 00:10:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
The current rhn_register wizard is far too specific in functionality and doesn't
do enough to help the new user actually use Red Hat Network. All the wizard does
is upload system configuration data to RHN. There is no clear linkage to
obtaining system updates from RHN. The user thinks it is a registration process,
something like registering a book or registering software. RHN_REGISTER must add
functionality in order to benefit RHN and the user. 

When a user first installs Red Hat Linux (in any version supported by Red Hat
Network), a Red Hat Network wizard should greet the user immediately upon the
first successful system boot following installation. The wizard should perform
the functions of rhn_register, web-based entitlement, and a first (initial)
update of the system all in one seamless step. Proposed wizard should be
text-based but go into a gui if Gnome or KDE is running. It should automatically
entitle the user to an entitlement for a period, and it should query for updates
for the newly installed system and apply them that first time after
installation. The user should be led by the hand, easily, into the products
offered by Red Hat Network.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.User installs Red Hat Linux.
2.User removes installation media and boot diskette from system and reboots into
Red Hat Linux for the first time.
3.User is presented with a login screen or login prompt.
4.User logs in.
5.User is presented with an empty desktop. 
6.User now most likely does not know what to do next. The desktop environment,
that first time, is very much like a blank sheet of paper.

Actual Results:  If I were a new user, I wouldn't know, as of step 6, that the
Red Hat Network can help me by updating my system. I have no prompt window that
comes up to remind me and -- much more importantly -- guide me.

Expected Results:  At step 6, a new window should have come up or a text-based
script should have started. This would be a revised RHN_REGISTER wizard. It will
say, "I'm here to help you get your system updated through the Red Hat
Network..." and then it should guide the user, step by step, through the entire
process. If the user has not configured an internet connection yet, help the
user do this, then return to the wizard. There is a lot you can do at this point
with a little creativity. 

Additional info:
Comment 1 Cristian Gafton 2002-08-15 02:50:35 EDT
this is more into alikins' realm
Comment 2 Josef Komenda 2002-11-12 14:52:38 EST
This was inmplemented in RH 8.0. Thanks for the suggestion!

Note You need to log in before you can comment on or make changes to this bug.